name: Build
on:
  issue_comment:
    types: [created]

jobs:
  build:
    name: Build
    if: ${{ !gitea.event.issue.pull_request && gitea.event.issue.number == 1 }}
    runs-on: ubuntu-latest

    steps:
    - name: Checkout
      uses: actions/checkout@v4

    - name: Setup Java
      uses: actions/setup-java@v4
      with:
        distribution: 'zulu'
        java-version: '11'

    - name: Install jq
      run: apt update && apt install jq -y

    - name: Get youtube apk
      run: |
        wget "https://my.buduf.win/APK/youtube-$VERSION" \
          --progress=dot:mega \
          -O input.apk
      env:
        VERSION: ${{ gitea.event.comment.body }}

    - name: Get revanced-cli
      run: |
        curl -s https://api.github.com/repos/ReVanced/revanced-cli/releases/latest | \
          jq --raw-output '.assets[0] | .browser_download_url' | \
          wget --progress=dot:mega -i - -O revanced-cli.jar

    - name: Get revanced-patches
      run: |
        curl -s https://api.github.com/repos/ReVanced/revanced-patches/releases/latest | \
          jq --raw-output '.assets[0] | .browser_download_url' | \
          wget --progress=dot -i - -O revanced-patches.rvp

    - name: Build youtube-revacned
      run: |
        java -jar revanced-cli.jar patch \
          --custom-aapt2-binary lib/arm64-v8a/libaapt2.so \
          -p revanced-patches.rvp \
          -o youtube-revanced.apk \
          input.apk

    - name: Create tag
      run: |
        git tag "v$VERSION"
        git push --tags
      env:
        VERSION: ${{ gitea.event.comment.body }}

    - name: Create release
      uses: akkuman/gitea-release-action@v1
      env:
        NODE_OPTIONS: '--experimental-fetch'
      with:
        files: |-
          youtube-revanced.apk
